### Method

# Ide Object get_child_typed

#### Declaration

    IdeObject*
    ide_object_get_child_typed (
      IdeObject* self,
      GType type
    )

#### Description

Finds the first child of `self` that is of `type`.

Available since: | 3.32

#### Parameters

`type` | `GType`
| The `GType` of the child to match.

#### Return value

Returns: | `IdeObject`
| An `IdeObject` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.